Extending Qt Creator Manual | UnscopedNameNode

Extending Qt Creator Manual 4.7.1

# UnscopedNameNode Class

(Debugger::Internal::UnscopedNameNode)

Inherits: | Debugger::Internal::ParseTreeNode

- List of all members, including inherited members

## Public Functions

| UnscopedNameNode(Debugger::Internal::GlobalParseState *parseState)
bool | isConstructorOrDestructorOrConversionOperator() const
int | toByteArray() const

- 7 public functions inherited from Debugger::Internal::ParseTreeNode

## Static Public Members

bool | mangledRepresentationStartsWith(char c)

- 1 static public member inherited from Debugger::Internal::ParseTreeNode

### Additional Inherited Members

- 2 protected functions inherited from Debugger::Internal::ParseTreeNode

## Member Function Documentation

### UnscopedNameNode::UnscopedNameNode(Debugger::Internal::GlobalParseState *parseState)

Default constructs an instance of UnscopedNameNode.

### bool UnscopedNameNode::isConstructorOrDestructorOrConversionOperator() const

### `[static]` bool UnscopedNameNode::mangledRepresentationStartsWith(char c)

### int UnscopedNameNode::toByteArray() const